commit: 266094f907e43692b5dcf40b9ad57c64a1f65564
Author: Joerg Bornkessel <hd_brummy <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 12 17:42:11 2020 +0000
Commit: Jörg Bornkessel <hd_brummy <AT> gentoo <DOT> org>
CommitDate: Sun Jan 12 17:55:50 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=266094f9
media-plugins/vdr-epgsearch: license fixed, added missing die's
Package-Manager: Portage-2.3.84, Repoman-2.3.20
Signed-off-by: Joerg Bornkessel <hd_brummy <AT> gentoo.org>
.../vdr-epgsearch-1.0.1_p20141227-r1.ebuild | 4 ++--
media-plugins/vdr-epgsearch/vdr-epgsearch-2.2.0.ebuild | 16 ++++++++--------
media-plugins/vdr-epgsearch/vdr-epgsearch-2.4.0.ebuild | 16 ++++++++--------
.../vdr-epgsearch/vdr-epgsearch-2.4.0_p20191202.ebuild | 2 +-
4 files changed, 19 insertions(+), 19 deletions(-)
diff --git
a/media-plugins/vdr-epgsearch/vdr-epgsearch-1.0.1_p20141227-r1.ebuild
b/media-plugins/vdr-epgsearch/vdr-epgsearch-1.0.1_p20141227-r1.ebuild
index c79abd511d1..0917f4f8da5 100644
--- a/media-plugins/vdr-epgsearch/vdr-epgsearch-1.0.1_p20141227-r1.ebuild
+++ b/media-plugins/vdr-epgsearch/vdr-epgsearch-1.0.1_p20141227-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2019 Gentoo Authors
+# Copyright 2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -26,7 +26,7 @@ case ${P#*_} in
;;
esac
-LICENSE="GPL-2"
+LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE="+conflictcheckonly +epgsearchonly l10n_de pcre +quicksearch tre"
diff --git a/media-plugins/vdr-epgsearch/vdr-epgsearch-2.2.0.ebuild
b/media-plugins/vdr-epgsearch/vdr-epgsearch-2.2.0.ebuild
index 036df79eeb1..ba0700f4113 100644
--- a/media-plugins/vdr-epgsearch/vdr-epgsearch-2.2.0.ebuild
+++ b/media-plugins/vdr-epgsearch/vdr-epgsearch-2.2.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2019 Gentoo Authors
+# Copyright 2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -9,7 +9,7 @@ DESCRIPTION="VDR plugin: create timers from epg content based
on saved search ex
HOMEPAGE="https://projects.vdr-developer.org/git/vdr-plugin-epgsearch.git"
SRC_URI="https://projects.vdr-developer.org/git/vdr-plugin-${VDRPLUGIN}.git/snapshot/vdr-plugin-${VDRPLUGIN}-${PV}.tar.gz
-> ${P}.tgz"
-LICENSE="GPL-2"
+LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="+conflictcheckonly +epgsearchonly pcre +quicksearch tre"
@@ -29,23 +29,23 @@ src_prepare() {
echo "# SOFILE" >> Makefile
# remove untranslated .po files
- rm
"${S}"/po/{ca_ES,da_DK,el_GR,et_EE,hr_HR,hu_HU,nn_NO,pl_PL,pt_PT,ro_RO,ru_RU,sl_SI,sv_SE,tr_TR}.po
+ rm
"${S}"/po/{ca_ES,da_DK,el_GR,et_EE,hr_HR,hu_HU,nn_NO,pl_PL,pt_PT,ro_RO,ru_RU,sl_SI,sv_SE,tr_TR}.po
|| die
eapply "${FILESDIR}/vdr-epgsearch-1.x.makefile.patch"
- use conflictcheckonly || sed -e "s:install-\$(PLUGIN3)::" -i Makefile
- use epgsearchonly || sed -e "s:install-\$(PLUGIN2)::" -i Makefile
- use quicksearch || sed -e "s:install-\$(PLUGIN4)::" -i Makefile
+ use conflictcheckonly || sed -e "s:install-\$(PLUGIN3)::" -i Makefile
|| die
+ use epgsearchonly || sed -e "s:install-\$(PLUGIN2)::" -i Makefile || die
+ use quicksearch || sed -e "s:install-\$(PLUGIN4)::" -i Makefile || die
vdr-plugin-2_src_prepare
fix_vdr_libsi_include conflictcheck.c
# install conf-file disabled
- sed -e '/^Menu/s:^:#:' -i conf/epgsearchmenu.conf
+ sed -e '/^Menu/s:^:#:' -i conf/epgsearchmenu.conf || die
# Get rid of the broken symlinks
- rm -f README{,.DE} MANUAL
+ rm -f README{,.DE} MANUAL || die
}
src_compile() {
diff --git a/media-plugins/vdr-epgsearch/vdr-epgsearch-2.4.0.ebuild
b/media-plugins/vdr-epgsearch/vdr-epgsearch-2.4.0.ebuild
index 840362e7069..ed89ee0acea 100644
--- a/media-plugins/vdr-epgsearch/vdr-epgsearch-2.4.0.ebuild
+++ b/media-plugins/vdr-epgsearch/vdr-epgsearch-2.4.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -9,7 +9,7 @@ DESCRIPTION="VDR plugin: create timers from epg content based
on saved search ex
HOMEPAGE="https://projects.vdr-developer.org/git/vdr-plugin-epgsearch.git"
SRC_URI="https://projects.vdr-developer.org/git/vdr-plugin-${VDRPLUGIN}.git/snapshot/vdr-plugin-${VDRPLUGIN}-${PV}.tar.gz
-> ${P}.tgz"
-LICENSE="GPL-2"
+LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="conflictcheckonly epgsearchonly pcre quicksearch tre"
@@ -25,23 +25,23 @@ S="${WORKDIR}/vdr-plugin-${VDRPLUGIN}-${PV}"
src_prepare() {
# remove untranslated .po files
- rm
"${S}"/po/{ca_ES,da_DK,el_GR,et_EE,hr_HR,hu_HU,nn_NO,pl_PL,pt_PT,ro_RO,ru_RU,sl_SI,sv_SE,tr_TR}.po
+ rm
"${S}"/po/{ca_ES,da_DK,el_GR,et_EE,hr_HR,hu_HU,nn_NO,pl_PL,pt_PT,ro_RO,ru_RU,sl_SI,sv_SE,tr_TR}.po
|| die
eapply "${FILESDIR}/vdr-epgsearch-2.4.0_makefile.patch"
- use conflictcheckonly || sed -e "s:install-\$(PLUGIN3)::" -i Makefile
- use epgsearchonly || sed -e "s:install-\$(PLUGIN2)::" -i Makefile
- use quicksearch || sed -e "s:install-\$(PLUGIN4)::" -i Makefile
+ use conflictcheckonly || sed -e "s:install-\$(PLUGIN3)::" -i Makefile
|| die
+ use epgsearchonly || sed -e "s:install-\$(PLUGIN2)::" -i Makefile || die
+ use quicksearch || sed -e "s:install-\$(PLUGIN4)::" -i Makefile || die
vdr-plugin-2_src_prepare
fix_vdr_libsi_include conflictcheck.c
# install conf-file disabled
- sed -e '/^Menu/s:^:#:' -i conf/epgsearchmenu.conf
+ sed -e '/^Menu/s:^:#:' -i conf/epgsearchmenu.conf || die
# Get rid of the broken symlinks
- rm -f README{,.DE}
+ rm -f README{,.DE} || die
}
src_compile() {
diff --git a/media-plugins/vdr-epgsearch/vdr-epgsearch-2.4.0_p20191202.ebuild
b/media-plugins/vdr-epgsearch/vdr-epgsearch-2.4.0_p20191202.ebuild
index c2dec8dea7e..c2fc3ce4361 100644
--- a/media-plugins/vdr-epgsearch/vdr-epgsearch-2.4.0_p20191202.ebuild
+++ b/media-plugins/vdr-epgsearch/vdr-epgsearch-2.4.0_p20191202.ebuild
@@ -10,7 +10,7 @@
HOMEPAGE="http://winni.vdr-developer.org/epgsearch/index_eng.html"
GIT_COMMIT_ID="602d66c55964998ce25c6c57b302949a9517f149"
SRC_URI="http://projects.vdr-developer.org/git/vdr-plugin-epgsearch.git/snapshot/vdr-plugin-epgsearch-${GIT_COMMIT_ID}.tar.gz
-> ${P}.tar.gz"
-LICENSE="GPL-2"
+LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="conflictcheckonly epgsearchonly pcre quicksearch tre"